Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class ManagedConcurrentMap.Entry

    java.lang.Object
      org.codehaus.groovy.util.ManagedReference
          org.codehaus.groovy.util.ManagedConcurrentMap.Entry

All Implemented Interfaces:
  Entry

    public static class ManagedConcurrentMap.Entry
    extends ManagedReference

Constructor Summary
`ManagedConcurrentMap.Entry(ReferenceBundle bundle, Segment segment, java.lang.Object key, int hash)`

Method Summary
`void` | `finalizeRef()`
`int` | `getHash()`
`java.lang.Object` | `getValue()`
`boolean` | `isEqual(java.lang.Object key, int hash)`
`boolean` | `isValid()`
`void` | `setValue(java.lang.Object value)`

Methods inherited from class ManagedReference
clear, finalizeReference, get

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ManagedConcurrentMap.Entry

    public ManagedConcurrentMap.Entry(ReferenceBundle bundle, Segment segment, java.lang.Object key, int hash)

Method Detail

### finalizeRef

    public void finalizeRef()

### getHash

    public int getHash()

### getValue

    public java.lang.Object getValue()

### isEqual

    public boolean isEqual(java.lang.Object key, int hash)

### isValid

    public boolean isValid()

### setValue

    public void setValue(java.lang.Object value)

Groovy Documentation